Skip to main content
PATCH
Update gateway
The request body must include the full gateway spec (name, zones, the chosen authentication type, the chosen routing strategy). This endpoint does not accept a field mask.
Example request

承認

Authorization
string
header
デフォルト:Bearer {API_ACCESS_TOKEN}
必須

CoreWeave API access token sent as a bearer token.

パスパラメータ

id
string
必須

The unique identifier of the gateway to update, UUID format

ボディ

application/json

Request for UpdateGateway

id
string
必須

The unique identifier of the gateway to update, UUID format

name
string
必須

The human readable name of the gateway. Capped at 38 characters, matching CreateGatewayRequest.name.

zones
string[]

The zones to make the gateway available in, limits where deployments associated with the gateway may exist, no zones means all may be used.

coreWeaveAuth
object

CoreWeave IAM

weightsAndBiasesAuth
object

Weights & Biases

endpointConfiguration
object

Additional endpoint configuration options

bodyBasedRouting
object

Body based routing

headerBasedRouting
object

Header based routing

pathBasedRouting
object

Path based routing

レスポンス

OK

Response for UpdateGateway

gateway
object

The updated gateway

最終更新日 2026年9月30日